#pragma once

#include <QObject>

#include "QGeoCoordinate"

class WimaAreaData : public QObject
{
    Q_OBJECT

public:
    explicit WimaAreaData(QObject *parent = nullptr);
    explicit WimaAreaData(WimaAreaData &other, QObject *parent = nullptr);

    double                       maxAltitude() const;
    const QList<QGeoCoordinate>& path() const;

signals:
    void maxAltitudeChanged(double maxAltitude);
    void pathChanged(const QList<QGeoCoordinate>& coordinateList);


public slots:
    void setMaxAltitude(double maxAltitude);
    void setPath(const QList<QGeoCoordinate>& coordinateList);

private:
    // see WimaArea.h for explanation
    double                  _maxAltitude;
    QList<QGeoCoordinate>   _path;
};

