#pragma once

#include <QObject>

#include "WimaAreaData.h"
#include "QGeoCoordinate"

class WimaMeasurementAreaData : public WimaAreaData
{
    Q_OBJECT

public:
    explicit WimaMeasurementAreaData(QObject *parent = nullptr);
    explicit WimaMeasurementAreaData(WimaMeasurementAreaData &other, QObject *parent = nullptr);


    const QGeoCoordinate &takeOffPosition() const;
    const QGeoCoordinate &landOffPosition() const;

signals:
    void takeOffPositionChanged(const QGeoCoordinate& other);
    void landOffPositionChanged(const QGeoCoordinate& other);

public slots:
    void setTakeOffPosition(const QGeoCoordinate& newCoordinate);
    void setLandOffPosition(const QGeoCoordinate& newCoordinate);

private:
    // see WimaServieArea.h for explanation
};

